<template>
    <popup ref="Message" v-if="display">
        <div class="ui-view-loading"></div>
    </popup>
</template>
<script>
import Popup from "../popup";
export default {
    name: "ui-view-loading",
    components: {
        Popup
    },
    data() {
        return {
            display: false,
            duration: 0
        };
    },
    methods: {
        show() {
            this.display = true;
        },
        hide() {
            setTimeout(() => {
                this.display = false;
            }, this.duration);
        }
    }
};
</script>
<style lang="less" scoped>
.ui-view-loading {
    width: 100px;
    height: 100px;
    background-image: url("~@/assets/svg/loading.svg");
}
</style>